## gitlab-ci-mode-el 20191022.12.4+git20191023.c861dc5f

=== Makefile ===
#!/usr/bin/make -f

CASK ?= cask
EMACS ?= $(CASK) emacs -Q --batch

SRC := gitlab-ci-mode.el
OBJ := $(SRC:.el=.elc)
TESTS := $(SRC:.el=.test.stamp)

.INTERMEDIATE: $(TESTS)

all: $(OBJ) $(TESTS)

.cask/stamp: Cask $(SRC)
	$(CASK) install
	touch $@

clean:
	$(RM) $(OBJ)
	$(RM) $(TESTS)
	$(RM) -r .cask

test: $(TESTS)

%.elc: %.el .cask/stamp
	$(EMACS) -eval "(checkdoc-file \"$<\")"
	$(EMACS) -l tests/init.el -f package-lint-batch-and-exit $<
	$(EMACS) -L . -f batch-byte-compile $<

%.test.stamp: tests/%-test.el %.elc
	$(EMACS) -L . -l $< -f ert-run-tests-batch-and-exit

.PHONY: all clean test

## gitlab-ci-mode-el 20180306.1

=== debian/changelog ===
gitlab-ci-mode-el (20180306.1-1) unstable; urgency=medium

  * Initial release (Closes: #900831)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 5 Jun 2018 21:50:26 +0500

=== debian/control ===
Source: gitlab-ci-mode-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa,
               elpa-yaml-mode
Standards-Version: 4.1.4
Testsuite: autopkgtest-pkg-elpa
Homepage: https://gitlab.com/joewreschnig/gitlab-ci-mode/
Vcs-Browser: https://salsa.debian.org/emacsen-team/gitlab-ci-mode-el
Vcs-Git: https://salsa.debian.org/emacsen-team/gitlab-ci-mode-el.git

Package: elpa-gitlab-ci-mode
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Description: Emacs mode for editing GitLab CI files
 This package provides an Emace major mode for editing GitLab CI
 files. It provides syntax highlighting and completion for keywords
 and special variables.

## gitlab-ci-mode-el 20181127.2

=== debian/changelog ===
gitlab-ci-mode-el (20181127.2-1) unstable; urgency=medium

  * New upstream version 20181127.2
  * Remove patch to fix version (upstream declared correct version)
  * Refresh patch to clean documentation
  * d/control: Declare Standards-Version 4.2.1 (no changes needed)
  * d/control: Rules-Requires-Root: no
  * d/copyright: Fix Upstream-Name field

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 02 Dec 2018 20:56:48 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Build-Depends: debhelper (>= 11),
                dh-elpa,
                elpa-yaml-mode
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://gitlab.com/joewreschnig/gitlab-ci-mode/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/gitlab-ci-mode-el

## gitlab-ci-mode-el 20190213.1

=== debian/changelog ===
gitlab-ci-mode-el (20190213.1-1) unstable; urgency=medium

  * New upstream version 20190213.1
  * Migrate to dh 12 without d/compat
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 13 Feb 2019 16:29:47 +0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-elpa,
                elpa-yaml-mode
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://gitlab.com/joewreschnig/gitlab-ci-mode/
@@ -18,8 +18,7 @@
 Depends: ${elpa:Depends},
          ${misc:Depends}
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: Emacs mode for editing GitLab CI files
  This package provides an Emace major mode for editing GitLab CI
  files. It provides syntax highlighting and completion for keywords

## gitlab-ci-mode-el 20190425.11.10

=== debian/changelog ===
gitlab-ci-mode-el (20190425.11.10-1) unstable; urgency=medium

  * New upstream version 20190425.11.10
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 09 Jul 2019 11:04:16 +0500

## gitlab-ci-mode-el 20190824.12.2

=== debian/changelog ===
gitlab-ci-mode-el (20190824.12.2-2) unstable; urgency=medium

  * Team upload
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Mon, 25 Jan 2021 19:31:42 -0400

gitlab-ci-mode-el (20190824.12.2-1) unstable; urgency=medium

  * New upstream version 20190824.12.2

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 03 Sep 2019 18:38:15 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-elpa,
                elpa-yaml-mode
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://gitlab.com/joewreschnig/gitlab-ci-mode/

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/gitlab-ci-mode-el-$1\.tar\.gz/g \
https://gitlab.com/joewreschnig/gitlab-ci-mode/tags?sort=updated_desc .*v(\d\S+)/gitlab-ci-mode-v.+\.tar\.gz

## gitlab-ci-mode-el 20191022.12.4+git20191023.c861dc5f

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-yaml-mode
-Standards-Version: 4.4.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://gitlab.com/joewreschnig/gitlab-ci-mode/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/gitlab-ci-mode-el
@@ -17,7 +16,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: Emacs mode for editing GitLab CI files
  This package provides an Emace major mode for editing GitLab CI

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/joewreschnig/gitlab-ci-mode/tags?sort=updated_desc -/archive/v?\d[\d.]+/gitlab-ci-mode-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
